curl --request POST \
--url https://api.anchorage-staging.com/v2/onboarding/customers \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"entries": [
{
"key": "<string>",
"value": "<string>"
}
],
"applicationType": "RIA_PC_INSTITUTION",
"applicationVersion": 0,
"externalId": "<string>",
"submit": true
}
'import requests
url = "https://api.anchorage-staging.com/v2/onboarding/customers"
payload = {
"entries": [
{
"key": "<string>",
"value": "<string>"
}
],
"applicationType": "RIA_PC_INSTITUTION",
"applicationVersion": 0,
"externalId": "<string>",
"submit": True
}
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entries: [{key: '<string>', value: '<string>'}],
applicationType: 'RIA_PC_INSTITUTION',
applicationVersion: 0,
externalId: '<string>',
submit: true
})
};
fetch('https://api.anchorage-staging.com/v2/onboarding/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"customerId": "<string>",
"status": "<string>",
"id": "<string>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Begin new customer onboarding application
Permissions required: Onboarding Initiate onboarding application for a new customer of Anchorage Digital
curl --request POST \
--url https://api.anchorage-staging.com/v2/onboarding/customers \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"entries": [
{
"key": "<string>",
"value": "<string>"
}
],
"applicationType": "RIA_PC_INSTITUTION",
"applicationVersion": 0,
"externalId": "<string>",
"submit": true
}
'import requests
url = "https://api.anchorage-staging.com/v2/onboarding/customers"
payload = {
"entries": [
{
"key": "<string>",
"value": "<string>"
}
],
"applicationType": "RIA_PC_INSTITUTION",
"applicationVersion": 0,
"externalId": "<string>",
"submit": True
}
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entries: [{key: '<string>', value: '<string>'}],
applicationType: 'RIA_PC_INSTITUTION',
applicationVersion: 0,
externalId: '<string>',
submit: true
})
};
fetch('https://api.anchorage-staging.com/v2/onboarding/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"customerId": "<string>",
"status": "<string>",
"id": "<string>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Body
A collection of responses for a set of defined relevant questions.
Show child attributes
Show child attributes
Anchorage Digital provided type of application, RIA_PC_INDIVIDUAL to Onboard RIA Program Customer who is an Individual, RIA_PC_INSTITUTION to Onboard RIA Program Customer that is an Institution, VA_INDIVIDUAL to Onboard a Virtual Account owner who is an Individual, and VA_INSTITUTION to Onboard a Virtual Account owner that is an Institution.
RIA_PC_INSTITUTION, RIA_PC_INDIVIDUAL, VA_INSTITUTION, VA_INDIVIDUAL "RIA_PC_INSTITUTION"
Anchorage Digital version of the application. By default, this value is 0.
External identifier for the customer onboarding application. This value has to be unique for each customer application.
Optional parameter to try to submit the application if there are no validation errors. This action is irreversible you cannot update the application values after. You can use this to avoid making another api call to POST /v2/onboarding/customers/submit
Response
Customer ID and information of the successfully created customer onboarding application
Show child attributes
Show child attributes
Was this page helpful?